Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.dependency
Class Identifier

    java.lang.Object
      org.owasp.dependencycheck.dependency.Identifier

All Implemented Interfaces:
  Comparable<Identifier>

    public class Identifier

extends Object
implements Comparable<Identifier>

Author:
  Jeremy Long (jeremy.long@owasp.org)

Constructor Summary
`Identifier(String type, String value, String url)` Constructs a new Identifier with the specified data.
`Identifier(String type, String value, String url, String description)` Constructs a new Identifier with the specified data.

Method Summary
`int` | `compareTo(Identifier o)` Implementation of the comparator interface.
`boolean` | `equals(Object obj)`
`String` | `getDescription()` Get the value of description.
`String` | `getType()` Get the value of type.
`String` | `getUrl()` Get the value of url.
`String` | `getValue()` Get the value of value.
`int` | `hashCode()`
`void` | `setDescription(String description)` Set the value of description.
`void` | `setType(String type)` Set the value of type.
`void` | `setUrl(String url)` Set the value of url.
`void` | `setValue(String value)` Set the value of value.
`String` | `toString()` Standard implementation of toString; displays identifier value and type.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Identifier

    public Identifier(String type,
                      String value,
                      String url)

  Constructs a new Identifier with the specified data.

  Parameters:
    `type` - the identifier type.
    `value` - the identifier value.
    `url` - the identifier url.

### Identifier

    public Identifier(String type,
                      String value,
                      String url,
                      String description)

  Constructs a new Identifier with the specified data.

  Parameters:
    `type` - the identifier type.
    `value` - the identifier value.
    `url` - the identifier url.
    `description` - the description of the identifier.

Method Detail

### getValue

    public String getValue()

  Get the value of value.

  Returns:
    the value of value

### setValue

    public void setValue(String value)

  Set the value of value.

  Parameters:
    `value` - new value of value

### getUrl

    public String getUrl()

  Get the value of url.

  Returns:
    the value of url

### setUrl

    public void setUrl(String url)

  Set the value of url.

  Parameters:
    `url` - new value of url

### getType

    public String getType()

  Get the value of type.

  Returns:
    the value of type

### setType

    public void setType(String type)

  Set the value of type.

  Example would be "CPE".

  Parameters:
    `type` - new value of type

### getDescription

    public String getDescription()

  Get the value of description.

  Returns:
    the value of description

### setDescription

    public void setDescription(String description)

  Set the value of description.

  Parameters:
    `description` - new value of description

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Standard implementation of toString; displays identifier value and type.

  Overrides:
    `toString` in class `Object`
  Returns:
    a String representation of the object

### compareTo

    public int compareTo(Identifier o)

  Implementation of the comparator interface. This compares the value of the identifier only.

  Specified by:
    `compareTo` in interface `Comparable<Identifier>`
  Parameters:
    `o` - the object being compared
  Returns:
    an integer indicating the ordering

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.